
// tables <table> // 

.table {
    display: table;
    text-align: left;
    width: 100%;
    border-right: 1px solid $main-4;
    border-left: 1px solid $main-4;
    border-bottom: 1px solid $main-4;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    overflow: visible;

    @media (max-width: 1024px) {
        border-top-left-radius: 8px;
        border-top-right-radius: 8px;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        overflow: hidden;
    }

    @media (max-width: 576px) {
        margin-top: 16px;
    }


    thead {
        @include thead;

        @media (max-width: 1024px) {
            display: none;
        }

        th {
            white-space: nowrap;

            .wrapper {
                display: flex;
                grid-gap: 4px;
                align-items: center;
            }
        }
    }

    tbody {
        @include tbody;

        .show {
            display: table-row;

            @media (max-width: 768px) {
                display: flex;
            }
        }

        .hide {
            display: none;
        }

        tr {

            
            cursor: pointer;


            @media (max-width: 1024px) {
                &:not(:last-child) {
                    border-bottom: 1px solid $main-4;
                }
            }
        }
    }

    td {
        
        .td-mobile-thead {
            display: none;

            @media (max-width: 1024px) {
                @include thead;
                display: flex;
                color: $main-6;
                background-color: transparent;
                margin-bottom: 5px;
            }
        }

        .td__image {
            width: 48px;
            height: 48px;
            border-radius: 8px;
            border: 1px solid $main-4;

        }

        .td__control {
            @include f14w400M8;
            display: flex;
            align-items: center;
            grid-gap: 12px;
            white-space: nowrap;

            @media (max-width: 425px) {
                font-size: 12px;
                font-weight: 500;
            }
        }

        .td__download-status {
            display: flex;
            justify-content: space-between;
            align-items: center;
            width: 100%;
            position: relative;

            .td__value {
                display: flex;
                align-items: center;
                justify-content: space-between;
                width: 100%;

                @media (max-width: 1024px) {
                    align-items: end;
                }

                @media (max-width: 768px) {
                    grid-gap: 5px;
                }

                @media (max-width: 425px) {
                    flex-direction: column;
                    align-items: baseline;
                    padding-top: 20px;

                    .wrap {
                        width: 100%;
                    }
                }
                

                .component__button {
                    padding: 8px 27px;

                    @media (max-width: 425px) {
                        padding: 12px;
                        width: 100%;
                        margin-top: 12px;
                    }
                }







                .process-value {
                    padding: 3px 10px;
                    display: flex;
                    align-items: center;
                    grid-gap: 8px;
                }
            }

            .td-mobile-thead {
                @media (max-width: 1024px) {
                    position: absolute;
                    top: 0;
                }
            }
        }

        @media (max-width: 768px) {
            width: fit-content;
        }
    }

    .td__profile-status {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .td__wrapper {
            display: flex;
            grid-gap: 8px;

            @media (max-width: 768px) {
                display: none;
            }
        }
    }

    .td__treatment-status {
        display: flex;
        align-items: center;
        grid-gap: 8px;

        @media (max-width: 1024px) {
            align-items: end;
        }

        .icon__statis {
            display: flex;
        }
        
    }

    .price__wrap {
        display: flex;
        grid-gap: 40px;
    }

    th {
        .th__wrapper {
            display: flex;
            position: relative;

            .component__button {
                position: absolute;
                padding: 12px;
                top: 50%;
                transform: translateY(-50%);
                right: 0;
            }

            @media (max-width: 1024px) {
                .button__wrapper {
                    position: fixed;
                    width: 100%;
                    left: 0;
                    bottom: 70px;
                    z-index: 2;
                    background-color: $main-4;
                    height: 64px;

                    .component__button {
                        width: 100%;
                        margin: 0 12px;
                        width: -webkit-fill-available;
                    }
                }
            }
        }

        .th__sort {
            display: flex;
            align-items: center;
            grid-gap: 3px;
        }
    }
}

.basket__table {

    @media (max-width: 768px) {
        border-top: 1px solid $main-4;
    }

    thead {
        @media (max-width: 1024px) {
            display: table-row-group;
        }

        @media (max-width: 768px) {
            display: none;
        }


    }

    tbody {
        tr {
            
            @media (max-width: 768px) {
                flex-wrap: nowrap;
                position: relative;
                
                &:not(:last-child) {
                    border-bottom: 1px solid $main-4;
                }
            }

            @media (max-width: 576px) {
                height: 220px;
            }

            @media (max-width: 425px) {
                height: 280px;
            }

            .table__image {
                width: 48px;
                height: 48px;

                @media (max-width: 768px) {
                    width: 112px;
                    height: 112px;
                }
            }

            .td-wrapper__control {
                .td__control {

                    @media (max-width: 768px) {
                        align-items: baseline;
                        grid-gap: 24px;
                    }

                    @media (max-width: 576px) {
                        position: absolute;
                        justify-content: end;
                        width: 100%;
                        left: -20px;
                        bottom: 11px;
                    }

                    .price {
                        @media (max-width: 768px) {
                            position: absolute;
                            left: 145px;
                            @include f20w500;
                        }

                        @media (max-width: 576px) {
                            position: static;
                        }

                        @media (max-width: 425px) {
                            position: absolute;
                            bottom: 125px;
                            left: 165px;
                        }
                    }

                    .td-rub {
                        @media (max-width: 768px) {
                            display: flex;
                            flex-direction: column;
                            grid-gap: 4px;
                        }
                    }

                    .total {
                        @media (max-width: 768px) {
                            @include f20w500;
                        }

                        @media (max-width: 425px) {
                            position: absolute;
                            flex-direction: row;
                            left: 35px;
                            align-items: center;
                            bottom: 5px;
                        }

                        .td-rub__value {
                            @media (max-width: 425px) {
                                position: absolute;
                                left: 130px;
                            }
                        }
                    }

                    .mobile__name {
                        display: none;

                        @media (max-width: 768px) {
                            display: flex;
                            @include f12w500M6;
                        }
                    }

                    .quantity-control {
                        @media (max-width: 576px) {
                            position: absolute;
                            top: -80px;
                        }

                        @media (max-width: 425px) {
                            top: -95px;
                            left: 165px;
                        }
                    }

                    .remove__product {
                        @media (max-width: 768px) {
                            position: absolute;
                            top: -50px;
                            right: 10px;
    
                            svg {
                                width: 24px;
                                height: 24px;
                            }
                        }

                        @media (max-width: 576px) {
                            top: -135px;
                            right: -5px;
                        }

                        @media (max-width: 425px) {
                            top: -27px;
                        }
                       
                    }
                }

                @media (max-width: 768px) {
                    display: flex;
                    position: absolute;
                    bottom: 5px;
                    right: 0;
                    width: 100%;
                    display: flex;
                    justify-content: end;
                }
            }

            td {
                &:first-child {
                    @media (max-width: 768px) {
                        padding-right: 0;
                    }
                    
                }

                .item__availability {
                    @media (max-width: 768px) {
                        position: absolute;
                        bottom: 10px;
                        left: 145px;
                    }

                    @media (max-width: 576px) {
                        position: static;
                    }
                    
                }

                .item__name {
                    @media (max-width: 768px) {
                        max-width: 90%;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;  
                        overflow: hidden;
                    }

                    @media (max-width: 576px) {
                        max-width: 80%;
                        -webkit-line-clamp: 3;
                    }

                    @media (max-width: 425px) {
                        max-width: 100%;
                    }
                }

                .item__info {
                    @media (max-width: 576px) {
                        position: absolute;
                        flex-direction: column;
                        bottom: 18px;
                        left: 20px;
                    }

                    @media (max-width: 425px) {
                        position: static;
                    }

                    .item__availability {
                        @media (max-width: 425px) {
                            position: absolute;
                            bottom: 120px;
                        }
                    }
                }
            }
        }
    }
}

.main-basket__table {
    @media (max-width: 768px) {
        tbody tr td {
            border-top: none;

            .td__value {
                .option-item__description {
                    position: relative;
                    top: -40px;
                }
            }

            .item__availability {
                position: static;
            }
        }

        tbody {
            tr {
                .td-wrapper__control {
                    right: 15px;
                }
            }
        }
    }

    @media (max-width: 576px) {
        tbody tr td {
            border-top: none;

            .td__value {
                .option-item__description {
                    top: 0;
                }
            }

            .item__info {
                position: static;
            }

            .item__availability {
                position: static;
            }
        }

        tbody {
            tr {
                .td-wrapper__control {
                    right: 15px;
                }
            }
        }
    }

    @media (max-width: 425px) {
        
        tbody tr td:nth-child(3) {
            width: inherit;
        }

        tbody tr td .item__info .item__availability {
            position: absolute;
            bottom: 200px;
            left: -2px;
        }

        tbody tr .td-wrapper__control .td__control .total .mobile__name {
            position: relative;
            left: 15px;
        }
    }
}

.order-basket__table {
    border-radius: 0;

    @media (max-width: 768px) {
        border-right: none;
        border-left: none;
        border-bottom: none;
    }

    @media (max-width: 576px) {
        margin: 0 -16px -24px -16px !important;
    }

    thead {
        .last-th {
            display: flex;
            justify-content: space-between;

            .last-span {
                position: relative;
                left: -34px;
            }
        }
    }

    tbody {
        @media (max-width: 425px) {
            height: 220px;
        }

        tr {

            @media (max-width: 576px) {
                height: auto;

                td:nth-child(3) {
                    width: fit-content;
                }
            }

            @media (max-width: 425px) {
                td:nth-child(3) {
                    width: auto;
                }
            }

            .td-wrapper__control {
                @media (max-width: 768px) {
                    position: absolute;
                    left: 122px;
                    top: 75px;
                    width: fit-content;

                    .td__control {
                        position: static;
                    }

                    .td__control .price {
                        position: static;
                        font-size: 12px;
                        font-style: normal;
                        font-weight: 500;
                    }

                    .td__control .total {
                        font-size: 12px;
                        font-style: normal;
                        font-weight: 500;
                    }

                    .td__control .quantity-control {
                        display: flex;
                        flex-direction: column;
                        grid-gap: 4px;
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 400;
                    }

                    .td__control .td-rub {
                        grid-gap: 0;
                    }
                }

                @media (max-width: 425px) {
                    width: 100%;

                    .td__control .quantity-control {
                        font-size: 20px;
                        font-weight: 500;
                    }

                    .td__control .total {
                        font-size: 20px;
                        font-weight: 500;
                    }

                    .td__control .price {
                        font-size: 20px;
                        font-weight: 500;
                        position: relative;
                        top: 15px;
                        left: 0;
                    }

                }

                .td__control .quantity-control {
                    @media (max-width: 576px) {
                        position: static;
                    }

                    @media (max-width: 425px) {
                        position: absolute;
                        top: 85px;
                        left: -110px;
                    }
                }

                @media (max-width: 576px) {
                    left: 122px;
                    top: 75px;

                }

                @media (max-width: 425px) {
                    .td__control .total {
                        flex-direction: column;
                        align-items: baseline;
                        top: 85px;
                        left: 85%;
                    }

                    .td__control .total .td-rub__value {
                        position: static;
                    }
                }


                .td__value {
                    .td__control {
                        justify-content: space-between;
                    }
                }
            }

            td {
                .item__name {
                    max-width: 80%;
                    -webkit-line-clamp: 2;

                    @media (max-height: 425px) {
                        -webkit-line-clamp: 3 !important;
                    }
                }
            }

            td:nth-child(3) {
                @media (max-width: 425px) {
                    width: fit-content;
                }
            }
        }

        td {
            @media (max-width: 768px) {
                border-top: none !important;
            }

            .item__info {
                position: static !important;
            }

            .td__value {
                .option-item__description {
                    @media (max-width: 768px) {
                        position: relative;
                        top: -35px;
                    }

                    @media (max-width: 576px) {
                        top: 8px;
                    }
                }
            }
        }
    }
}

.document__table {
    thead {
        tr {
            th {
                .th__all {
                    display: none;
                }

                @media (max-width: 768px) {
                    width: auto !important;
                }
            }
        }
       
        @media (max-width: 1024px) {
            display: table-row-group;
            tr {
                th {
                    &:not(:last-child) {
                        border-right: none;
                    }
                    
                    .th__sort {
                        visibility: hidden;
                        opacity: 0;
                    }

                    .th__all {
                        display: block;
                        position: absolute;
                        width: max-content;
                        left: 35px;
                    }
                }
            }
        }

        @media (max-width: 576px) {
            display: block;
        }
    }

    tbody {
        tr {

            td {
                @media (max-width: 768px) {
                    width: fit-content !important;
                    white-space: nowrap;
                    padding: 12px 8px;

                    &:nth-child(1) {
                        flex: 0 0 0%;
                    }

                    &:nth-child(2) {
                        flex: 0 0 1%;
                    }

                    &:nth-child(3) {
                        order: 2;
                        flex: 1 0 10%;
                    }

                    &:nth-child(4) {
                        order: 3;
                        flex: 0 0 60%;
                    }  
                }

                @media (max-width: 576px) {

                    &:nth-child(1) {
                        flex: 0 0 0%;
                    }

                    &:nth-child(2) {
                        flex: 1 0 auto;
                    }

                    &:nth-child(3) {
                        flex: 1 0 auto;
                    }

                    &:nth-child(4) {
                        flex: 0 0 100%;
                        padding-left: 44px;
                    }  
                }
            }

            @media (max-width: 768px) {
                flex-wrap: nowrap;
            }

            @media (max-width: 576px) {
                flex-wrap: wrap;
            }
        }
    }
}

.order__table {
    margin-top: 0;

    tbody {
        tr {
            position: relative;

            @media (max-width: 576px) {
                height: 130px;
            }

            @media (max-width: 425px) {
                height: 210px;
            }

            td {
                .td__wrap {
                    display: flex;
                    grid-gap: 8px;

                    @media (max-width: 768px) {
                        padding-left: 30px;
                        grid-gap: 19px;
                    }

                    .table__image {
                        width: 32px;
                        height: 32px;

                        @media (max-width: 768px) {
                            width: 112px;
                            height: 112px;
                        }

                        @media (max-width: 576px) {
                            width: 56px;
                            height: 56px;
                        }

                        @media (max-width: 425px) {
                            width: 112px;
                            height: 112px;
                        }
                    }

                    .option-item__description {
                        .item__name {
                            @media (max-width: 768px) {
                                -webkit-line-clamp: 2;
                            }

                            @media (max-width: 425px) {
                                -webkit-line-clamp: 5;
                            }
                        }

                        .item__info {
                            .item__availability {
                                @media (max-width: 425px) {
                                    position: absolute;
                                    bottom: 50px;
                                    left: 35%;
                                }
                            }
                        }
                    }
                }

                &:first-child {
                    vertical-align: baseline;

                    @media (max-width: 768px) {
                        position: absolute;
                        top: 5px;
                    }
                }

            }

            .td-wrapper__control {
                @media (max-width: 768px) {
                    position: absolute;
                    bottom: 0;
                    right: 0;
                }

                @media (max-width: 425px) {
                    width: 100%;
                }

                .td__value {
                    .td__control {
                       @media (max-width: 425px) {
                            justify-content: space-between;
                       }

                        .total {
                            display: none;

                            @media (max-width: 425px) {
                                display: flex;
                            }
                        }
                    }

                    @media (max-width: 425px) {
                        .mobile__name {
                            display: none;
                        }
                    }
                }
            }
        }
    }
}

.orders__table {
    .tr__orders-table {
        position: relative;

        @media (max-width: 425px) {
            height: 200px;
        }

        td {
            &:nth-child(2) {
                @media (max-width: 768px) {
                    position: absolute;
                    top: 0;
                    left: 130px;
                }

                @media (max-width: 425px) {
                    .td__wrapper {
                        .td-mobile-thead {
                            display: none;
                        }
                    }
                }
               
            }

            &:nth-child(n + 3):nth-child(-n + 5) {
                @media (max-width: 768px) {
                    position: absolute;
                    bottom: 10px;
                }

                @media (max-width: 425px) {
                    bottom: 0;
                }
               
            }

            &:nth-child(3) {
                @media (max-width: 768px) {
                    left: 130px;
                }
                
                @media (max-width: 576px) {
                    left: 0;
                }

                @media (max-width: 425px) {
                    top: 40%;
                    left: 45%;
                }
            }

            &:nth-child(4) {
                @media (max-width: 768px) {
                    left: 260px;
                }
               
                @media (max-width: 576px) {
                    left: 50%;
                    transform: translateX(-50%);
                }

                @media (max-width: 425px) {
                    left: 0;
                    transform: none;
                }
            }

            &:nth-child(5) {
                @media (max-width: 768px) {
                    left: 360px;
                }
                
                @media (max-width: 576px) {
                    right: 0;
                    left: inherit;
                }
            }

            .item__info {
                @media (max-width: 576px) {
                    bottom: -22px;
                    left: 13px;
                }
            }

            .td__wrapper {
                .td__value {
                    @media (max-width: 768px) {
                        font-size: 16px;
                    }
                }
            }
        }
    }
}

.catalog__table {
    tbody {
        tr {
            td {
                .td__value {
                    .option-item__description {
                        .item__name {
                            display: -webkit-box;
                            -webkit-line-clamp: 1;
                            -webkit-box-orient: vertical;  
                            overflow: hidden;
                            
                            .info-text-red {
                                @include infoTextRed;
                                margin-right: 8px;
                            }

                            .info-text-black {
                                @include infoTextBlack;
                                margin-right: 8px;
                            }
                        }
                    }
                }
            }

            .td-wrapper__control {
                .td__value {
                    position: relative;
                    .td__control {
                        justify-content: space-between;

                        .component__button {
                            padding: 8px;
                        }

                        .total {
                            display: flex;
                            grid-gap: 8px;
                            position: absolute;
                            bottom: -17px;
                            left: 50%;
                            transform: translateX(-50%);
                            color: $main-6;

                            .mobile__name {
                                display: flex;
                            }
                        }
                    }
                }
            }

        }
    }
}

.card-table__wrapper {
    border-radius: 8px;
    overflow: hidden;
}

.card__table {
    border-left: none; 
    border-top: none; 
    border-right: none; 
    border-bottom: none; 
    
    @media (max-width: 425px) {
        border-left: none; 
        border-top: none; 
        border-right: none; 
        border-bottom: none; 
    }
    tbody {
        @media (max-width: 425px) {
            display: grid;
            grid-template-columns: auto auto;
            grid-gap: 8px;
            background-color: transparent;
            
        }
        tr {

             &:first-child {
                    td {
                        border-top: none;
                    }
                }
            
            @media (max-width: 425px) {
                background-color: $main-0;
                border: none;
                border-radius: 8px;
                display: flex;
                flex-direction: column;
                width: 100%;

                // временно //

                height: 480px;
                
                &:not(:last-child) {
                    border-bottom: none;
                }

                &:hover {
                    @include boxShadow;
                }

                td {
                    @media (max-width: 425px) {
                        width: 100%;

                        &:nth-child(3) {
                            width: 100%;
                        }
                    }
                }



                .td-wrapper__control {
                    .td__control {
                        .amount__name {
                            @media (max-width: 425px) {
                                display: none;
                            }
                        }
                    }
                }
            }

            @media (max-width: 375px) {
                  // временно //

                  height: 460px;
            }

            @media (max-width: 1024px) {
                &:hover {
                    background-color: $main-0;
                }
            }

            @media (max-width: 425px) {
                width: 100%;
            }

            td {

                @media (max-width: 768px) {
                    border-top: none;
                }

                @media (max-width: 425px) {
                    &:first-child {
                        padding-right: 10px;
                    }
                }
            }

            .table__image {
                @media (max-width: 425px) {
                    width: 100%;
                    height: 100%;
                }
            }


            .td-supplier {
                @media (max-width: 768px) {
                    display: none;
                }
            }

            .td-delivery-time {
                @media (max-width: 768px) {
                    display: none;
                }
            }

            .td-wrapper__control {
                @media (max-width: 768px) {
                    left: 130px;
                    right: inherit;
                    justify-content: start;
                    width: -webkit-fill-available;
                }

                @media (max-width: 576px) {
                    left: 0;
                }

                .td__control {
                    @media (max-width: 768px) {
                        align-items: center;
                    }
                    
                    .price {
                        @media (max-width: 768px) {
                            position: static;
                        }    
                    }

                    .quantity-control {
                        @media (max-width: 576px) {
                            position: static;
                        }

                        @media (max-width: 425px) {
                            width: 100%;
                        }

                        .quantity-control__wrapper {
                            @media (max-width: 425px) {
                                width: 100%;
                                text-align: center;
                            }

                            .quantity-control__value {
                                @media (max-width: 425px) {
                                    width: 100%;
                                }
                            }
                           
                        }
                    }
                }

                .td__value {
                    @media (max-width: 768px) {
                        width: 100%;
                    }

                    .td__control {
                        @media (max-width: 576px) {
                            position: static;
                        }

                        @media (max-width: 425px) {
                            flex-direction: column;
                            align-items: baseline;
                            grid-gap: 4px;
                        }

                        .total {
                            left: 59%;
                            font-size: 12px;

                            @media (max-width: 768px) {
                                position: static;
                                transform: none;
                                font-size: 20px;
                                color: $main-8;
                            }


                            .td-rub__value {
                                @media (max-width: 425px) {
                                    position: static;
                                    font-size: 12px;
                                }
                            }
                        }

                        .component__button {
                            .button__text {
                                display: none;
                            }

                            @media (max-width: 768px) {
                                position: absolute;
                                right: 0;
                                top: -64px;
                            }

                            @media (max-width: 576px) {
                                top: -140px;
                            }

                            @media (max-width: 425px) {
                                position: static;
                                width: 100%;

                                .button__text {
                                    display: flex;
                                }

                                svg {
                                    display: none;
                                }
                            }
                        }
                    }
                }
            }

            td {
                .item__availability {
                    @media (max-width: 768px) {
                        position: static;
                    }
                }

                .item__info {
                    @media (max-width: 576px) {
                        position: static;
                    }

                    .item__availability {
                        @media (max-width: 425px) {
                            position: static;
                        }
                    }

                }

                .td__value {
                    .option-item__description {
                        .item__name {
                            @media (max-width: 576px) {
                                -webkit-line-clamp: 3;
                            }
                        }
                    }

                    .option-item__description {
                        @media (max-width: 768px) {
                            padding-bottom: 70px;
                        }
                    }
                }
            }
        }
    }

    td {
        @media (max-width: 425px) {
            width: 100%;
        }
    }
}

// tables custom // 

.custom-table {
            border: 1px solid $main-4;
            background-color: $main-2;

            @media (max-width: 768px) {
                border-radius: 8px;
                overflow: hidden;
            }

            .custom-table__header {
                @include thead; 
                border-bottom: 1px solid $main-4;

                @media (max-width: 768px) {
                    display: none;
                }

                .custom-cell {
                    grid-gap: 8px;
                }
            }

            .custom-table__body {
                @include tbody; 

                &:not(:last-child) {
                    border-bottom: 1px solid $main-4;
                }
            }

            .custom-line {
                display: grid;
                grid-template-columns: 50px 115px 125px 115px auto 320px;
    
                @media (max-width: 1280px) {
                    grid-template-columns: 50px 95px 110px 95px auto 285px;
                }
    
                @media (max-width: 1024px) {
                    grid-template-columns: 50px 95px 110px 95px auto 195px;
                }
    
                @media (max-width: 768px) {
                    grid-template-columns: 55px 70px 90px auto 170px;
                }
    
                @media (max-width: 576px) {
                    grid-template-columns: 55px 70px auto 170px;
                }
    
                @media (max-width: 425px) {
                    grid-template-columns: 55px auto 170px;
                }
            }

            
    
            .td__wrapper {
                width: 100%;
    
                .td-mobile-thead {
                    @include thead; 
                    display: none;
                    width: 100%;
                }
    
                .status-order__wrapper {
                    display: flex;
                    justify-content: space-between;
                    width: 100%;
    
                    @media (max-width: 1024px) {
                        flex-direction: column;
                        grid-gap: 8px;
                    }
    
                    .status {
                        display: flex;
                        align-items: center;
                        grid-gap: 8px;
    
                        span {
                            display: flex;
                        }
    
                        @media (max-width: 768px) {
                            svg {
                                width: 16px;
                                height: 16px;
                            }
                        }
                    }
    
                    .component__button {
                        padding: 8px 16px;
    
                        @media (max-width: 768px) {
                            display: none;
                        }
                    }
                }
    
                @media (max-width: 768px) {
                    display: flex;
                    flex-direction: column;
                    grid-gap: 8px;
    
                    .td-mobile-thead {
                        background-color: transparent;
                        display: block;
                    }
                }
    
    
            }
    
            .custom-cell {
                display: flex;
                align-items: center;
                padding: 8px;
                width: 100%;
                flex: auto;
    
                &:not(:last-child) {
                    border-right: 1px solid $main-4;
                }
    
                @media (max-width: 768px) {
                    &:not(:last-child) {
                        border-right: none;
                    }
                }
    
                .dropdown {
                    display: flex;
                    border-radius: 8px;
                    background-color: $main-2;
                    padding: 4px;
    
                    @media (max-width: 768px) {
                        padding: 8px;
                    }
            
                    &:hover {
                        background-color: $main-8;
            
                        svg {
                            .stroke {
                                stroke: $main-0;
                            }
                        }
            
                    }
                }
            }
    
            .company-cell {
                @media (max-width: 768px) {
                    display: none;
                }
            }
    
            .price-cell {
                @media (max-width: 576px) {
                    display: none;
                }
            }
    
            .data-cell {
                text-align: right;
                
                @media (max-width: 425px) {
                    display: none;
                }
            }

}

.mob-table-cards {
    display: none;
    flex-direction: column;
    grid-gap: 24px;
    
    .table-card {
        @include tbody;
        display: flex;
        grid-gap: 16px;
        padding: 16px;
        border-radius: 8px;

        .table-card__content {
            display: flex;
            flex-direction: column;
            grid-gap: 8px;
            width: 100%;

            .item__sale {
                display: flex;
                justify-content: space-between;
                align-items: center;

                .info-text-red {
                    @include infoTextRed;
                }

                .component__button {
                    &:hover {
                        svg {
                            .stroke {
                                stroke: $main-7;
                            }
                        }
                    }
                }
            }

            .item__name {
                @media (max-width: 375px) {
                    width: 185px;
                }

                @media (max-width: 768px) {
                    font-weight: 400;
                }
            }

            .item__wrapper {
                display: flex;
                justify-content: space-between;
                align-items: end;
                grid-gap: 16px;
                flex-wrap: wrap;

                @media (max-width: 576px) {
                    flex-direction: column;
                    align-items: baseline;
                }

                .item__sub-wrapper {
                    display: flex;
                    flex-wrap: wrap;
                    grid-gap: 22px;

                    @media (max-width: 425px) {
                        grid-gap: 12px;
                    }
                    
                    .quantity-control {
                        display: flex;
                        flex-direction: column;
                        grid-gap: 8px;

                        .total {
                            font-size: 12px;
                            color: $main-6;
                        }
                    }
                }

            
                .price {
                    display: flex;
                    grid-gap: 8px;
                    flex-direction: column;

                    .mobile__value {
                        font-size: 20px;
                        font-weight: 500;
                    }
                }

                .add-to-card {
                    padding: 12px;
                    width: 128px;
                    height: 37px;
                    right: 0;

                    @media (max-width: 576px) {
                        width: 100%;
                    }

                    @media (max-width: 375px) {
                        width: 315px;
                        position: relative;
                        right: 50px;
                    }
                }
            }

            .add-favourite {
                position: relative;
                right: 0;

                @media (max-width: 375px) {
                    position: relative;
                    right: 45px;
                }
            }

            .dropdown__button {
                display: flex;
                @include f12w400M8;
                position: relative;

                &:before {
                    position: absolute;
                    content: url('../img/svg/border-line.svg');
                    width: inherit;
                    bottom: -5px;
                }
            }

            .properties__list {
                .properties {
                    @include f12w500M6;
                    margin-bottom: 4px;
                    
                    span {
                        &:last-child {
                            color: $main-8;
                        }
                    }
                    
                    @media (max-width: 425px) {
                        display: flex;
                        flex-direction: column;
                    }
                }
            }

            .properties__list.desktop {
                display: block;

                @media (max-width: 576px) {
                    display: none;
                }
            }

            .properties__list.mobile {
                display: none;

                @media (max-width: 576px) {
                    display: block;
                }
            }


            .dropdown__content {
                visibility: hidden;
                opacity: 0;
                height: 0;
                max-height: max-content;
                transition: 0.3s ease;
            }

            .dropdown__content.active {
                visibility: visible;
                opacity: 1;
                height: max-content;
            }


        }

        .card-slider {
            display: none;
        }

        .desktop__drop {
            @media (max-width: 576px) {
                display: none;
            }
        }

        .mobile__drop {
            display: none;

            @media (max-width: 576px) {
                display: block;
            }
        }
    }

    @media (max-width: 768px) {
        display: flex;
    }

    .table-card.slider {
        flex-direction: column;

        .card-slider {
            position: relative;
            display: block;

            .close__slider {
                position: absolute;
                top: 0;
                right: 0;
                z-index: 2;
            }

            .table-card__slider {
                display: block;
                width: 100%;
    
                .swiper-slide {
                    display: flex;
                    align-items: center;
                    justify-content: center;
    
                    .table__image {
                        width: 180px;
                    }
                }
            }

            .card__buttons {
                display: flex;
                justify-content: space-between;
                position: absolute;
                width: 100%;
                left: 0;
                top: 50%;
                transform: translateY(-50%);
                z-index: 2;
            }

            .swiper-pagination  {
                position: relative;
                display: flex;
                z-index: 2;

                .swiper-pagination-bullet {
                    height: 2px;
                    border-radius: 0;
                    margin: 0;
                    width: 100%;
                    background-color: $main-6;
                }

                .swiper-pagination-bullet-active {
                    background-color: $main-7;
                }
            }
        }
       
        .table-card__image {
            display: none;
        }

        .table-card__content {
            .item__wrapper {
                .item__sub-wrapper {
                    @media (max-width: 425px) {
                        width: 100%;
                    }

                    .quantity-control {
                        @media (max-width: 576px) {
                            width: 100%;
                        }

                        .quantity-control__wrapper {
                            @media (max-width: 576px) {
                                width: 100%;
                                text-align: center;

                                .quantity-control__value {
                                    width: 100%;
                                }
                            }
                        }
                    }

                    .total {
                        @media (max-width: 576px) {
                            text-align: center;
                        }
                    }
                }

                .add-to-card {
                    right: 0;
                }
            }

            .add-favourite {
                right: 0;
            }

            .item__name {
                width: 100%;
            }
        }
    }
}

.vertically-views {
    display: none;
    grid-template-columns: 1fr 1fr;

    @media (max-width: 425px) {
        grid-gap: 8px;
    }

    // @media (max-width: 375px) {
    //     grid-template-columns: 165px 165px;
    // }

    .table-card {
        @media (max-width: 767px) {
          flex-direction: column;
          position: relative;
        }

        @media (max-width: 576px) {
            .table-card__image {
                .table__image {
                    width: 100%;
                    
                }
            }

            .quantity-control {
                width: 100%;

                .quantity-control__wrapper {
                    width: 100%;

                    .quantity-control__value {
                        width: 100%;
                        text-align: center;
                    }
                }
            }
        }

        @media (max-width: 425px) {
            padding: 8px;
        }

        .table-card__content {
            .add-favourite {
                position: absolute;
                top: 15px;
                right: 15px;
            }

            .item__wrapper {
                .add-to-card {
                    right: 0;
                    width: 100%;
                }
            }

            .item__name {
                width: 100%;
            }
        }
    }
}

.vertically-views.active {
    // @media (max-width: 768px) {
    //     display: grid;
    // }

    @media (max-width: 1024px) {
        display: grid;
    }
    
}

.horizontally-views {
    display: none;
}

.horizontally-views.active{
    // @media (max-width: 768px) {
    //     display: flex;
    // }

    @media (max-width: 1024px) {
        display: flex;
    }
}

.scroll-table {
    display: grid;
    grid-template-columns: 480px 1fr 260px;
    // display: flex;
    // justify-content: space-between;
    border-left: 1px solid $main-4;
    border-top: 1px solid $main-4;
    border-bottom: 1px solid $main-4;
    position: relative;
    width: fit-content;

    @media (max-width: 1440px) {
        grid-template-columns: 280px 1fr 260px;
    }

    @media (max-width: 768px) {
        display: none;
    }

    // .scroll-column {
    //     .col {
    //         .header-cell {
    //             width: 100%;
    //             position: absolute;
    //             z-index: 2;
    //         }
    //     } 
    // }

    .scroll-content {
        display: flex;
        z-index: 1;
        // overflow-x: scroll;
        overflow-x: auto;
        overflow-y: hidden;
        width: auto;
        height: 100%;
        white-space: nowrap; 
        // position: absolute;
        // padding-left: 310px;
        // padding-right: 110px;
        position: relative;
        @include scrollbarCustom2;
    }

    .static-col__wrapper {
        display: flex;
        z-index: 2;
        box-shadow: 16px 0px 28px 0px rgba(24, 44, 54, 0.2);
    }

    .last-col {
        z-index: 2;
        box-shadow: -16px 0px 28px 0px rgba(24, 44, 54, 0.2);
    }

    .custom-cell {
        display: flex;
        align-items: center;
        justify-content: center;
        width: auto;
        // max-height: 110px;
        height: 86px;
        background-color: white;
        padding: 8px 8px;
        // padding: 10px 12px;
        position: relative;

        .td__value {
            .td__control {
                display: flex;
                align-items: center;
                grid-gap: 24px;

                .total {
                    display: flex;
                    justify-content: center;
                    grid-gap: 4px;
                    position: absolute;
                    width: 100%;
                    bottom: 5px;
                    left: 58%;
                    transform: translateX(-50%);
                    color: $main-6;
                    font-size: 12px;
                    font-weight: 400;

                    .mobile__name {
                        display: block;
                    }
                }

                .component__button {
                    padding: 8px;
                }

                .price {
                    white-space: nowrap; 
                    font-weight: 400;
                }
            }
        }

        .mobile__name {
            display: none;
        }
      

        &:not(:last-child) {
            border-bottom: 1px solid $main-4;
        }
    }

    .header-cell {
        background-color: $main-4;
        @include thead; 
        height: 44px;
        display: flex;
        justify-content: flex-start;
        grid-gap: 24px;
    }

    .body-cell {
        @include tbody; 

        .item__name {
            max-width: 100%;
            width: 100%;
            display: -webkit-box;
            -webkit-line-clamp: 4;
            -webkit-box-orient: vertical;  
            overflow: hidden;

            @media (max-width: 1440px) {
                -webkit-line-clamp: 2;
            }

            .info-text-red {
                @include infoTextRed;
                margin-right: 8px;
            }
        }

        .image-cell {
            width: 48px;
            height: 48px
        }
    }

    .col {
        border-right: 1px solid $main-4;        
    }

    .last-col {
        border-left: 1px solid $main-4;   
    }
}

.custom-scroll__table {
        width: calc(100vw - 550px);
        // width: 100%;
        // max-width: 1670px;
        max-width: 100%;
        height: calc(100vh - 300px);
        overflow: auto;
        border-radius: 8px;
        @include scrollbarCustom2;

        @media (max-width: 1280px) {
            width: 100%;
        }

        // @media (max-width: 768px) {
        //     display: none;
        // }

        // Новые //

        @media (max-width: 1024px) {
            display: none;
        }

        .offer__slider--mobile {

            padding-top: 30px;

            @media (max-width: 1024px) {
                display: none;
            }
        }
        
        .table-body {
            border: 1px solid $main-4;
            width: 1680px;
            // width: 2090px;
            // background-image: repeating-linear-gradient(to right, #f6f6f6, #f6f6f6 116px, white 116px, white 120px);
            // background-position-x: 300px;
            // background-repeat: no-repeat;
            background-color: $main-0;
            
        }
          
          .table-body img {
             width: 48px;
             height: 48px;
          }

          .row {
                
           &:not(:last-child) {
                border-bottom: 1px solid $main-4;
            }

            
          }

          .row {
            &:hover {
                .cell {
                    background-color: $main-1;
                }
            }
          }



          .changing__buttons {
            padding: 40px 20px 20px 20px;
            display: flex;
            grid-gap: 16px;
            position: sticky;
            left: 0;
            justify-content: center;
        }
          
        .custom-scroll-table__header {
            display: flex;
            position: sticky;
            top: 0;
            z-index: 1;
            width: 1680px;
            background-color: $main-4;
            @include thead; 
            height: 44px;
            border-top: 1px solid $main-4;
            border-right: 1px solid $main-4;
            border-left: 1px solid $main-4;
            // box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
          }
    
          .custom-scroll-table__header .row-header {
            position: sticky;
            position: -webkit-sticky;
            left: 0;
            z-index: 2;
            flex: 0 0 480px;
            padding: 6px 12px;
            background-color: $main-2;
            border-right: 1px solid $main-4;
            grid-gap: 34px;
            display: flex;
           
            @media (max-width: 1440px) {
                flex: 0 0 300px;
            }
          }

          .custom-scroll-table__header .col-name {
            background-color: $main-2;
            border-right: 1px solid $main-4;
          }
          
          .row {
            display: flex;

            .cell {
                &:nth-child(2) {
                    border-left: none;
                }

                &:nth-last-child(-n+2) {
                    border-right: none;
                }

            }
          }
          
          .col-name,
          .cell {
            flex: 0 0 120px;
            padding: 6px 12px;
            width: 120px;
          }

          .last-col-name.boxShadow::after {
            content: " ";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            transform: rotate(180deg);
            box-shadow: 8px 0 4px rgba(176, 176, 176, 0.2);
            // clip: rect(auto, 260px, auto, auto);
            -webkit-clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
            // clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
          }
          
          .cell {
            font-style: normal;
            font-weight: 300;
            font-size: 14px;
            line-height: 20px;
            background-color: $main-0;
            display: flex;
            align-items: center;
            

            &:not(:last-child) {
                border-right: 1px solid $main-4;
            }

            .option-item__description {
                .item__name {
                    @media (max-width: 1440px) {
                        display: -webkit-box;
                        -webkit-line-clamp: 3;
                        -webkit-box-orient: vertical;  
                        overflow: hidden;
                    }
                }
            }

            .td__value {
                width: 100%;
                

                .td__control {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    grid-gap: 4px;
    
                    .total {
                        display: flex;
                        justify-content: center;
                        grid-gap: 4px;
                        position: absolute;
                        // width: 100%;
                        bottom: 2px;
                        left: 58%;
                        transform: translateX(-50%);
                        color: $main-6;
                        font-size: 12px;
                        font-weight: 400;
    
                        .mobile__name {
                            display: block;
                        }
                    }
    
                    .component__button {
                        padding: 8px;
                    }
    
                    .price {
                        white-space: nowrap; 
                        font-weight: 400;
                    }
                }
            }

          }

          .cell__link {
            cursor: pointer;

            .cell__image {
                display: block;
                transition: 0.8s ease;
                z-index: 2;
            }

            .cell__image:hover {
                transform: rotate(360deg);
            }
          }
          
          .col-name:last-of-type, .cell:last-of-type {
            position: sticky;
            position: -webkit-sticky;
            right: 0px;
            flex: 0 0 240px;
          }
          
          .cell:last-of-type {
            // background-color: white;
            border-left: 1px solid $main-4;   
          }

          .cell.boxShadow:last-of-type::after {
            content: " ";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            transform: rotate(180deg);
            box-shadow: 8px 0 4px rgba(176, 176, 176, 0.2);
            // clip: rect(auto, 260px, auto, auto);
            -webkit-clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
            // clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
          } 

          .cell.boxShadow:first-of-type::after {
            content: " ";
            display: block;
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            height: 100%;
            box-shadow: 8px 0 4px rgba(176, 176, 176, 0.2);
            // clip: rect(auto, 260px, auto, auto);
            -webkit-clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
            // clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
          }

          .row-header.boxShadow::after  {
            content: " ";
            display: block;
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            height: 100%;
            box-shadow: 8px 0 4px rgba(176, 176, 176, 0.2);
            // clip: rect(auto, 260px, auto, auto);
            -webkit-clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
            // clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
          }

          .cell:first-of-type {
            position: sticky;
            position: -webkit-sticky;
            left: 0;
            flex-basis: 480px;
            display: flex;
            grid-gap: 10px;
            border-right: 1px solid $main-4;

            @media (max-width: 1440px) {
                flex-basis: 300px;
            }

            // &:not(:last-child) {
            //     border-bottom: 1px solid $main-2;
            // }
          }
          
          .cell:first-of-type::after {
            content: " ";
            display: block;
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            height: 100%;
            // box-shadow: 1px 0 4px rgba(0, 0, 0, 0.2);
            // clip: rect(auto, 310px, auto, auto);
            // -webkit-clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
            //         clip-path: polygon(50% 50%, 150% -50%, 150% 150%, 0% 0%);
        }

        .show--more.hidden {
            display: none;
        }

        .table--more {
            display: none;
        }

        .table--more.active {
            display: block;
        }
}

.custom-scroll__table.max-width{
    width: calc(100vw - 420px);

    @media (max-width: 1280px) {
        width: calc(100vw - 120px);
    }

    @media (max-width: 1280px) {
        width: calc(100vw - 40px);
    }
}


.support__table {
    tbody {
        tr {
            td {
                &:nth-child(1) {
                    width: 100px;

                    @media (max-width: 1024px) {
                        width: 110px;
                    }

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(2) {
                    width: 100px;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(3) {
                    width: auto;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(4) {
                    width: 220px;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }
            }
        }
    }
}

.complaint__table {
    tbody {
        tr {
            td {
                &:nth-child(1) {
                    width: 100px;

                    @media (max-width: 1024px) {
                        width: 110px;
                    }

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(2) {
                    width: 100px;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(3) {
                    width: 200px;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }

                &:nth-child(4) {
                    width: auto;
                }

                &:nth-child(5) {
                    width: 220px;

                    @media (max-width: 768px) {
                        width: auto;
                    }
                }
            }
        }
    }
}

.vertic-stock {
    display: none !important;
}


@media (max-width: 425px) {
    .vertic-stock {
        display: block !important;
    }

    .horiz-stock {
        display: none !important;
    }
}


